# Update Account User

`PUT /api/2.0/accounts/{account_id}/scim/v2/Users/{id}`

Replaces a user's information with the data supplied in request.
 The `userName` and `emails` attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).

API scopes: scim

## Path parameters

- `id` (string, optional)
  <Databricks> user ID.
- `account_id` (string, optional)
  <Databricks> account ID

## Request body

- `active` (boolean, optional)
  If this user is active
- `displayName` (string, optional)
  String that represents a concatenation of given and family names. For example `John Smith`.
- `emails` (array of object, optional)
  All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
  External ID is not currently supported. It is reserved for future use.
- `name` (object, optional)
  - `familyName` (string, optional)
    Family name of the <Databricks> user.
  - `givenName` (string, optional)
    Given name of the <Databricks> user.
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `userName` (string, optional)
  Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

## Response

```json
{}
```

